curl --request GET \
--url https://api.gospott.com/clients/contacts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/clients/contacts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/clients/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"candidateId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatarUrl": "<string>",
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"countryCode": "AF",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>",
"type": "primary_home"
}
],
"client": {
"company": {
"id": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"linkedinUrl": "<string>"
},
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"countryCode": "AF",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>",
"type": "primary_home"
}
]
},
"role": "<string>",
"department": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"active": true,
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>"
},
"mainContact": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"aiFillOngoing": true,
"aiOverridden": true,
"isFilledByAI": true,
"value": {
"viewType": "customText",
"text": "<string>"
}
}
],
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"cursor": "<string>"
}
}{
"status": 0,
"message": "Limit must be between 1 and 50",
"requestId": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Get client contacts
Returns a list of client contacts. Uses cursor pagination.
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Query Parameters
Number of client contacts to return per page (min: 1, max: 50, default: 25).
1 <= x <= 5025
Opaque cursor string for pagination. Use the cursor value from a previous response to fetch the next page. Omit for the first page.
"eyJtb2RpZmllZEF0IjoiMjAyNC0xMS0wNlQxMDozMDowMC4wMDBaIiwiaWQiOiJjbGllbnQtY29udGFjdC0xMjMifQ.signature"
Filter client contacts by sync watermark on or after this date. Useful for incremental synchronization. Defaults to beginning of time if not provided.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-11-01T00:00:00.000Z"
Filter client contacts by sync watermark on or before this date. Useful for bounded synchronization snapshots. If omitted, no upper bound is applied.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-11-30T23:59:59.999Z"
Filter client contacts by client contact list IDs.
1 - 25 elements[
"client-contact-list-123",
"client-contact-list-456"
]
Filter client contacts by client IDs.
1 - 25 elements["client-123", "client-456"]
Was this page helpful?